

export interface ReqParam {
    url: string;
    method: string;
    headers?: any;
    body?: any;
    options?: any;
}

export const mRequest = async (req: ReqParam) => {
    console.log("api: ", req.url, " method: ", req.method, " body: ", req.body)
    const current_env = import.meta.env.VITE_NODE_ENV;

    const url = current_env == "production" ? import.meta.env.VITE_SERVE + req.url:req.url;//req.url.replace(/^\/api/, '') : req.url;
    const content_type = req.body && req.body instanceof FormData ? {} : {
        'Content-Type': 'application/json',
    }
    const response = await fetch(url, {
        method: req.method,
        headers: {
            ...req.headers,
            ...content_type
        },
        body: req.body ?
            req.body instanceof FormData ? req.body as FormData : JSON.stringify(req.body)
            : undefined,
        ...req.options
    });
    const res = await response.json();
    // if (res.code === 401) {
    //     window.location.href = '/login';
    // }
    return res; //response.json();
}